Subject: Re: [PATCH v2 00/17] Refactor chunk-format into an API

From: Junio C Hamano <[email-masked]>
Date: Thu, 04 Feb 2021 18:08:54 -0800

"Derrick Stolee via GitGitGadget" <[email-masked]> writes:

> This is a restart on the topic previously submitted [1] but dropped because
> ak/corrected-commit-date was still in progress. This version is based on
> that branch.

I've read the topic through, and found it a pleasant read.  There
are some questionable use of integer types, some uneven application
of casts, and the reading side API is somewhat underdocumented, but
the overall direction looked quite sane.

I am undecided if I should expect a reroll, or declare what we have
"already good enough" for 'next' and expect incremental refinements,
though.  A reroll that catches all nits would certainly make the
resulting topic's history nicer for future developers to work with,
but its also a pain to re-read essentially the same patches again,
so...